local function createDrill(id, strength, durability, stack, ing)
	local name = "drill-"..id
	data:extend {{
		type = "mining-tool",
		name = name,
		icon = icons..name..".png",
		flags = {},
		action =
		{
		  type="direct",
		  action_delivery =
		  {
			type = "instant",
			target_effects =
			{
				type = "damage",
				damage = { amount = strength*1.5, type = "physical"}
			}
		  }
		},
		durability = durability,
		subgroup = "tool",
		order = "a[mining]-e["..name.."]",
		speed = strength,
		stack_size = stack,
		icon_size = 64
	}}
	recipe(name, id*10, ing)
end 

createDrill(1, 10, 20000, 10, {"iron-plate",20, "electronic-circuit",5, "engine-unit"})
createDrill(2, 40, 100000, 1, {"drill-1", "steel-plate",60, "advanced-circuit",5, "electric-engine-unit"})
createDrill(3, 200, 1000000, 1, {"drill-2", "processing-unit",5 , "uranium-fuel-cell",15})
